Loading...
Searching...
No Matches
pdumodel::Outlet::Sensors Struct Reference

Outlet sensors More...

## Public Attributes

sensors::NumericSensor | voltage
| RMS voltage sensor (may be a VoltageMonitoringSensor)
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | maximumCurrent
| Maximum current sensor.
sensors::NumericSensor | unbalancedCurrent
| Current unbalance sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | lineFrequency
| AC line frequency sensor.
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | voltageThd
| Voltage total harmonic distortion sensor.
sensors::NumericSensor | currentThd
| Current total harmonic distortion sensor.
sensors::NumericSensor | inrushCurrent
| In-rush current occuring after turning outlet on.
sensors::StateSensor | outletState
| Outlet power state sensor

## Detailed Description

Outlet sensors

The documentation for this struct was generated from the following file:

- Outlet.idl